首页   注册   登录
V2EX = way to explore
V2EX 是一个关于分享和探索的地方
现在注册
已注册用户请  登录
Distributions
Ubuntu
Fedora
CentOS
中文资源站
网易开源镜像站
_why
V2EX  ›  Linux

为了Ruby/RoR学习Linux,望推荐些书/博文等

  •  
  •   _why · 2012-03-10 09:42:14 +08:00 · 3977 次点击
    这是一个创建于 2877 天前的主题,其中的信息可能已经有所发展或是发生改变。
    目前我安装的是ubuntu 10.04.4,貌似《鸟哥Linux私方菜》是首推的?
    16 回复  |  直到 1970-01-01 08:00:00 +08:00
    cngithub
        1
    cngithub   2012-03-10 09:46:26 +08:00
    对。
    _why
        2
    _why   2012-03-10 09:57:58 +08:00
    谢谢,貌似鸟哥网站上内容也挺丰富的,我先在网站上学习
    27493586
        3
    27493586   2012-03-10 10:03:00 +08:00
    系统装好之后你就可以开始学习Rails了,为啥要先学Linux?
    _why
        4
    _why   2012-03-10 10:04:44 +08:00
    @27493586 我想在学习Ruby的过程中多多了解些Linux的知识,免得日后部署或啥的遇到了问题连个linux命令都不会解决不了哈
    lowstz
        5
    lowstz   2012-03-10 10:06:13 +08:00
    zhuzhuor
        6
    zhuzhuor   2012-03-10 10:06:22 +08:00
    ubuntu桌面,就直接装最新版的吧,11.10
    然后直接当桌面用呗,啥都不用学

    知道怎么apt-get安装软件,怎么用terminal/ssh就行了
    _why
        7
    _why   2012-03-10 10:12:59 +08:00
    @cngithub @lowstz
    谢谢!

    @zhuzhuor
    也是!
    不过刚在Linux下面安装Ruby时候就碰到了无法连接到主机的问题...正在搜索怎么解决

    ruby-1.9.2-p318 - #fetching
    ruby-1.9.2-p318 - #downloading ruby-1.9.2-p318, this may take a while depending on your connection...

    curl: (7) couldn't connect to host
    There was an error, please check /home/jwu/.rvm/log//*.log. Next we'll try to fetch via http.
    Trying ftp:// URL instead.

    curl: (7) couldn't connect to host
    There was an error, please check /home/jwu/.rvm/log//*.log
    There has been an error while trying to fetch the source.

    Halting the installation.
    There has been an error fetching the ruby interpreter. Halting the installation.
    lowstz
        8
    lowstz   2012-03-10 10:18:28 +08:00
    @_why 开vpn,或者换taobao的Rubygems镜像 http://ruby.taobao.org/
    zhuzhuor
        9
    zhuzhuor   2012-03-10 10:20:25 +08:00
    couldn't connect to host
    这个应该是指连不上ruby的服务器

    你的网连好了没
    另外我不是写ror的,但是看到ruby最新的版本是1.9.3了,最好找个最新的教程或者直接跟着官方教程学习
    _why
        10
    _why   2012-03-10 10:29:17 +08:00
    @lowstz

    我刚好也看到说是换taobao的这个镜像,但$ gem sources --remove http://rubygems.org/过不去,因为我连gem都没有装上...

    本来我理应是到了这一步的,就卡在了无法连接的问题上
    $rvm install ruby 1.9.2
    $rvm --default use 1.9.2
    $ruby -v
    $gem -V
    X_Del
        11
    X_Del   2012-03-10 11:03:59 +08:00
    谁说装 Ruby 非得用 Rvm 的? apt 也能装。
    _why
        12
    _why   2012-03-10 11:22:58 +08:00
    @X_Del 谢谢提醒,我已经用sudo apt-get install ruby开始成功在安装了
    reducm
        13
    reducm   2012-03-10 11:31:17 +08:00 via Android
    www.ruby-chima.org, 国内最好的ruby社区, 看wiki,爬爬贴
    icefishi
        14
    icefishi   2012-03-10 11:35:36 +08:00
    @reducm 是不是不小心打错了 ^_* http://ruby-china.org/
    Kvm
        15
    Kvm   2012-03-10 14:26:55 +08:00
    debian下安装很方便的
    X_Del
        16
    X_Del   2012-03-10 20:37:57 +08:00
    @_why 那个忘说了,用 apt 装上的话注意版本,应该是 1.8 的吧,不是 1.9 的。
    关于   ·   FAQ   ·   API   ·   我们的愿景   ·   广告投放   ·   感谢   ·   实用小工具   ·   722 人在线   最高记录 5168   ·     Select Language
    创意工作者们的社区
    World is powered by solitude
    VERSION: 3.9.8.3 · 25ms · UTC 22:37 · PVG 06:37 · LAX 14:37 · JFK 17:37
    ♥ Do have faith in what you're doing.